Subject: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Andrii Kolomoiets <[email-masked]>
Date: Sun, 29 Dec 2019 21:01:42 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Andrii Kolomoiets <[email-masked]>
>> Cc: Alan Third <[email-masked]>,  [email-masked]
>> Date: Fri, 27 Dec 2019 13:28:11 +0200
>> 
>> > One possibility is stack overflow.  If that's not the reason, then one
>> > needs to employ the technique described in etc/DEBUG to find out which
>> > object got corrupted and why.
>> 
>> I followed the steps described in etc/DEBUG.
>> 
>> See gdb session output attached.
>
> The attachment just shows the output of "bt full", I see nothing there
> that should have been produced by following the etc/DEBUG instructions
> under "Debugging problems which happen in GC".
>
> Are you sure you posted the file you intended to?

My bad, didn't read that section at all.  I read only "Configuring Emacs
for debugging" section because of this text in `report-emacs-bug'
letter: "If Emacs crashed, include the output from 'bt full' and 'xbacktrace'".

Now Emacs is built with -O0 and I need some help, please.

(gdb) bt full
#0  terminate_due_to_signal (sig=607650026, backtrace_limit=1116) at ../../emacs/src/emacs.c:370
No locals.
#1  0x0000000100a28660 in ?? ()
No symbol table info available.
#2  0x0000000000000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
Cannot access memory at address 0xadf0

I can print the 'last_marked_index':

(gdb) p last_marked_index
$2 = 41

But what can I do with 'last_marked'?

(gdb) p last_marked[40]
'last_marked' has unknown type; cast it to its declared type

Give me some tips, please. TIA.